%define fontname        riordonfancy
%define fontconf        69-%{fontname}.conf

Name:           oflb-%{fontname}-fonts
Version:        4
Release:        1
Summary:        A stylized font

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/tthurman/354
Source0:        http://openfontlibrary.org/people/tthurman/tthurman_-_Riordon_Fancy.zip
Source1:        %{fontname}-fontconfig.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  fontpackages-devel fontforge
Requires:       fontpackages-filesystem

%description
RiordonFancy is a highly-stylized font designed by ten-year-old Riordon
Thurman. It includes all ASCII glyphs, most Latin-1 glyphs, a number of Latin
Extended glyphs, the interrobang (‽), and the snowman (☃).

%prep
%setup -qc

%build
rm RiordonFancy.ttf
FONTFORGE_LANGUAGE=ff fontforge -script "-" *.sfd <<EOF
i = 1
while (i < \$argc)
  Open(\$argv[i], 1)
  fontname = StrJoin(StrSplit(\$fontname, "O"), "")
  familyname = StrJoin(StrSplit(\$familyname, " O"), "")
  fullname = StrJoin(StrSplit(\$fullname, " O"), "")
  SetFontNames(fontname, familyname, fullname)
  ScaleToEm(2048)
  RoundToInt()
  SetFontOrder(2)
  SelectAll()
  AutoInstr()
  Generate(\$fontname + ".ttf")
  Close()
  i++
endloop
EOF

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_fontdir}
install -pm 644 RiordonFancy.ttf $RPM_BUILD_ROOT%{_fontdir}/

install -dm 755 $RPM_BUILD_ROOT%{_fontconfig_templatedir}
install -dm 755 $RPM_BUILD_ROOT%{_fontconfig_confdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
  $RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf $RPM_BUILD_ROOT

%_font_pkg -f %{fontconf} *.ttf
%doc readme.txt fontlog.txt
%dir %{_fontdir}

%changelog
* Mon Mar 16 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 4-1
- Upstream update
- Renamed to oflb-riordon-fancy-fonts

* Sun Jan 04 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 3-2
- Removed disttag
- Moved from old font template to new font template
- Changed name to lowercase

* Thu Jan  1 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 3-1
- Initial RPM release
